PDA

View Full Version : SLES 11 registered but Online Update not possible



jmk11
09-Feb-2012, 19:07
Hi everyone,

we are currently facing some odd problems with our Dell Poweredge R905 and SLES 11 (SP1) as
we yet cannot manage to get the online repository up and running thus not being able to do any kind of update.

Some background:
After some trouble with our proxy, we finally managed to register our version of SLES via the "suse_register"-command.
That is, on the one hand, our machine's details on our Novell account site say: "registered on February 9th, 2012".
On the other hand their machine/system overview page marks our server as "needs activation". That's the first strange thing.

But the actual problem is that we are not able to perform the Online-Update as there are no online repos available under "Software Repositories" (only the install DVD is available there).
When I select Online-Update a dialog says "No update repository configured yet. Running the configuration workflow now?".
During that workflow it directs me to the Novell page, where I have to enter my mail address and the activation code. At the end of that workflow it always says:
"Online Repositories do not need to be changed" That's the second strange thing.

My question is: what do we have to do in order to get the online repos properly installed?

Thanks a lot in advance!

Regards,
Jan

malcolmlewis
09-Feb-2012, 20:01
Hi everyone,

we are currently facing some odd problems with our Dell Poweredge R905
and SLES 11 (SP1) as
we yet cannot manage to get the online repository up and running thus
not being able to do any kind of update.

Some background:
After some trouble with our proxy, we finally managed to register our
version of SLES via the "suse_register"-command.
That is, on the one hand, our machine's details on our Novell account
site say: "registered on February 9th, 2012".
On the other hand their machine/system overview page marks our server
as "needs activation". That's the first strange thing.

But the actual problem is that we are not able to perform the
Online-Update as there are *no* online repos available under "Software
Repositories" (only the install DVD is available there).
When I select Online-Update a dialog says "No update repository
configured yet. Running the configuration workflow now?".
During that workflow it directs me to the Novell page, where I have to
enter my mail address and the activation code. At the end of that
workflow it always says:
*"Online Repositories do not need to be changed"* That's the second
strange thing.

My question is: what do we have to do in order to get the online repos
properly installed?

Thanks a lot in advance!

Regards,
Jan



Hi
If your using a proxy, there are a few things to configure;

Your proxy should should accept Novell domain (or at least selected
sites used like nu.novell.com and secure.novell.com) without
authentication.

You need to populate proxy setting in YAST and to add two lines
with your proxy information to /etc/profile, for example:

export http_proxy="http://10.10.1.1:8081/"
export https_proxy="https://10.10.1.1:8081/"

As well as the /root/.curlrc

Then I would login to the NCC web page and delete the system and
re-register it.



suse_register -a regcode-sles=YourActivationCode -a email=YourEmailAddress -a moniker=YourHostname -L .suse_register.log


--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.9-1.4-desktop
up 14:59, 6 users, load average: 0.00, 0.02, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

jmk11
14-Feb-2012, 11:47
Hi Malcolm,

sorry for my delayed reply. Yesterday I solved the problem. The reason was as
follows: Half a year ago, one of my colleagues installed the SLES server but
chose a preliminary key (60 day trial) instead of the permanent one (which
actually shipped with our server). Then he was occupied with some other stuff
and the task (installation of that server) was handed over to me. I thought he
used the permanent key thus I tried to register with that key leading to a
plethora of strange error messages and discrepancies (see initial post above).
Ok, this is clearly EBKAC "error between keybard and chair" :-) Nontheless, I
still wonder why the registration process did not tell explicitly about the
expired key. There is one hint in the XML output of suse_register's logfile. But
neither on the website nor the YAST installation GUI tells the user about this
problem. That's definitely not convenient ...

Anyway, thanks a lot for your time and maybe my experience is helpful for other
people coming by ...

Regards,
Jan

shmuelk
04-Mar-2012, 23:59
I have identical problem after install-of SLES 11.SP2 - and a history of 2 days trying to solve.
I have tried several active subscriptions - when using GUI-based Online Update Configuration I get repeatedly "Software Repositories did not need to be changed."
I see that the corresponding system - is registered in NCC.
When I try suse_register with -L log - it finishes normally; but no matter what I try- 11.2 repositories are not added.

Just in case there is a patch to Yast2/zypper/wagon/suse_register beyond base SLES 11.2 - can you point me?
Thanks, Shmuel